<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .styling
        {
            /* margin:"205px" ; */
            background-color:rgb(221, 218, 186);
            border: 5px slid rgb(1, 1, 17);
            width:auto;
            height:auto;
        } 
        
    </style>
</head>
<body>
    <script>
    let ids=new URLSearchParams(window.location.search)
    let xhr = new XMLHttpRequest();
    xhr.open('get', 'https://jsonplaceholder.typicode.com/posts?userId='+ids.get('id'));
    xhr.responseType="json"
    xhr.send();
    xhr.onload = function()
    {
        console.log(xhr.response);
        n=xhr.response;
        //main divisoin
        var maindiv = document.createElement('div');
        for(i=0 ; i<n.length ; i++)
        {
            //sub division
            var subdiv=document.createElement('div');
            subdiv.style.margin = "10px";
            subdiv.className="styling";

            //title division
            titlediv=document.createElement('div');
            ptitle=document.createTextNode(n[i].title);
            titlediv.appendChild(ptitle);
            subdiv.appendChild(titlediv);

            //body division
            bodydiv=document.createElement('div');
            pbody=document.createTextNode(n[i].body);
            bodydiv.appendChild(pbody);
            subdiv.appendChild(bodydiv);

            let xhs = new XMLHttpRequest();
            xhs.open('get', 'https://jsonplaceholder.typicode.com/comments?postId='+n[i].id);
            xhs.responseType="json"
            xhs.send();
            xhs.onload = function()
            {
                // console.log(xhs.response);
                m=xhs.response;
                commentdiv=document.createElement('div');
                for(j=0 ; j<3; j++)
                {
                     
                    //comment division
                    var div1 = document.createElement('div');
                    div1.appendChild(document.createTextNode(m[j].name));
                    commentdiv.appendChild(div1);
                    var div2 = document.createElement('div');
                    div2.appendChild(document.createTextNode(m[j].email));
                    commentdiv.appendChild(div2);
                    var div3 = document.createElement('div');
                    div3.appendChild(document.createTextNode(m[j].body));
                    commentdiv.appendChild(div3);
                }  
                subdiv.appendChild(commentdiv);
            } 
           
            maindiv.appendChild(subdiv);
        }
        document.body.appendChild(maindiv);   
    }
    </script>
</body>
</html>